/*
  Copyright (c) 2009, Adobe Systems Incorporated
  All rights reserved.

  Redistribution and use in source and binary forms, with or without 
  modification, are permitted provided that the following conditions are
  met:

  * Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.
  
  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the 
    documentation and/or other materials provided with the distribution.
  
  * Neither the name of Adobe Systems Incorporated nor the names of its 
    contributors may be used to endorse or promote products derived from 
    this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
  IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
package com.facebook.data.pages {
	
	[Bindable]
	public class PageTypeValue {
		
		public static const APPLICATION:String = 'application';
		public static const PLACES:String = 'place'; 
		public static const PRODUCTS:String = 'products';
		public static const SERVICES:String = 'services';
		public static const STORES:String = 'stores';
		public static const RESTAURANTS_CAFES:String = 'resturants_cafes';
		public static const BARS_CLUBS:String = 'bars_clubs';
		public static const COMMUNITIES:String = 'communities';
		public static const POLITICIANS:String = 'politicians';
		public static const NONPROFIT:String = 'nonprofit';
		public static const TELEVISION:String = 'television';
		public static const FILM:String = 'film';
		public static const GAMES:String = 'games';
		public static const SPORTS_TEAMS:String = 'sports_teams';
		public static const PUBLIC_FIGURES:String = 'public_figures';
		public static const MUSICIANS:String = 'musicians';
		public static const WEBSITES:String = 'websites';
		public static const MUSEUMS_ATTRACTIONS:String = 'museums_attractions';
		public static const PARKS:String = 'parks';
		public static const HOTELS_LODGING:String = 'hotels_lodging';
		public static const LOCAL_HOTELS_LODGING:String = 'local_hotels_lodging';
		public static const AIRLINES_SHIPS_TRAIN:String = 'airlines_ships_train';
		public static const CONVENTION_CENTERS_SPORTS_COMPLEXES:String = 'convertion_centers_sports_complexes';
		public static const LIBRARIES_PUBLIC_BUILDINGS:String = 'libraries_public_buildings';
		public static const TRAVEL:String = 'travel';
		public static const HOME_LIVING:String = 'home_living';
		public static const AUTOMOTIVE:String = 'automotive';
		public static const CONSUMER_PRODUCTS:String = 'consumer_producrs';
		public static const FASHION:String = 'fashion';
		public static const SPORTS_ATHLETICS:String = 'sports_athletics';
		public static const RETAIL:String = 'retail';
		public static const COMMUNICATIONS:String = 'communications';
		public static const PHARMA:String = 'pharma';
		public static const TECHNOLOGY:String = 'technology';
		public static const FOOD_BEVERAGE:String = 'food_beverage';
		public static const PRODUCTS_OTHER:String = 'products_other';
		public static const LOCAL_TRAVEL_SERVICES:String = 'local_travel_services';
		public static const RENTAL_CARS:String = 'rental_cars';
		public static const HEALTH_BEAUTY:String = 'health_beauty';
		public static const EVENT_PLANNING_SERVICES:String = 'event_planning_services';
		public static const LOCAL_BANKING_FINANCIAL_SERVICES:String = 'local_banking_financial_services';
		public static const LOCAL_TECHNOLOGY_TELECOMMUNICATIONS_SERVICES:String = 'local_technology_telecommunications_services';
		public static const MEDICAL_SERVICES:String = 'medical_services';
		public static const HOME_SERVICES:String = 'home_services';
		public static const FINANCIAL_SERVICES:String = 'financial_services';
		public static const PROFESSIONAL_SERVICES:String = 'professional_services';
		public static const LOCAL_PROFESSIONAL_SERVICES:String = 'local_professional_services';
		public static const REAL_ESTATE:String = 'real_estate';
		public static const GOVERNMENT_PUBLIC_SERVICES:String = 'government_public_services';
		public static const RESTAURANTS:String = 'restaurants';
		public static const CAFE:String = 'cafe';
		public static const BARS:String = 'bars';
		public static const CLUBS:String = 'clubs';
		public static const EDUCATION:String = 'education';
		public static const RELIGIOUS_ORGANIZATIONS:String = 'religious_organizations';
		public static const LOCAL_RELIGIOUS_CENTERS:String = 'local_religious_centers';
		public static const LOCAL_AUTOMOTIVE_DEALERS_VEHICLE_SERVICES:String = 'local_automotive_dealers_vehicle_services';
		public static const LOCAL_BUSINESS:String = 'local_business';
		public static const PETS:String = 'pets';
		public static const GROCERY:String = 'grocery';
		public static const LOCAL_STORES:String = 'local_stores';
		public static const ONLINE_STORES:String = 'online_stores';
		public static const ACTOR:String = 'actor';
		public static const MODEL:String = 'model';
		public static const COMEDIAN:String = 'comedian';
		public static const ARTIST:String = 'artist';
		public static const WRITER:String = 'writer';
		public static const CRITIC:String = 'critic';
		public static const ATHLETE:String = 'athlete';
		public static const PUBLIC_FIGURES_OTHER:String = 'public_figures_other';
	}
}