/*
Copyright (c) 2007 Terralever

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/

/**
 *  Abstraction of the Facebook Album
 * 
 * @author Jason Crist 
 * @author Chris Hill
 */
package com.terralever.facebook.data.photos
{
	import com.terralever.facebook.Facebook;
	import mx.logging.Log;
	import com.terralever.facebook.data.FacebookAsset;
	
	[Bindable]
	public class FacebookAlbum extends FacebookAsset
	{
		// VARIABLES //////////
		private var _cover:FacebookPhoto;
		
		
		// CONSTRUCTION //////////
		
		function FacebookAlbum(xml:XML)
		{
			super(xml);
		}
		
		// GETTERS //////////
		
		public function set aid(s:String):void { /*for binding*/ }
		public function get aid():String
		{
			return getXMLProperty("aid");
		}
		
		public function set cover_pid(s:String):void { /*for binding*/ }
		public function get cover_pid():String
		{
			return getXMLProperty("cover_pid");
		}
		
		public function set owner(s:String):void { /*for binding*/ }
		public function get owner():String
		{
			return getXMLProperty("owner");;
		}
		
		public function set name(s:String):void { /*for binding*/ }
		public function get name():String
		{
			return getXMLProperty("name");
		}
		
		public function set created(s:String):void { /*for binding*/ }
		public function get created():String
		{
			return getXMLProperty("created");
		}
		
		public function set modified(s:String):void { /*for binding*/ }
		public function get modified():String
		{
			return getXMLProperty("modified");
		}
		
		public function set description(s:String):void { /*for binding*/ }
		public function get description():String
		{
			return getXMLProperty("description");
		}
		
		public function set location(s:String):void { /*for binding*/ }
		public function get location():String
		{
			return getXMLProperty("location");
		}
		
		public function set link(s:String):void { /*for binding*/ }
		public function get link():String
		{
			return getXMLProperty("link");
		}
		
		public function set size(s:String):void { /*for binding*/ }
		public function get size():String
		{
			return getXMLProperty("size");
		}
		
		public function get cover():FacebookPhoto
		{
			return _cover;
		}
		public function set cover(newVal:FacebookPhoto):void
		{
			_cover = newVal;
		}
		
		
	}
}