/*
Copyright (c) 2007 Terralever

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/

/**
 *  Delegates the call to facebook.photo.getAlbums
 * 
 * @author Jason Crist 
 * @author Chris Hill
 */
package com.terralever.facebook.delegates.photos
{
	import com.terralever.facebook.Facebook;
	import com.terralever.facebook.FacebookCall;
	import flash.events.Event;
	import mx.logging.Log;
	import com.terralever.facebook.delegates.FacebookDelegate;
	import com.terralever.facebook.data.photos.FacebookAlbum;

	public class GetAlbums_delegate extends FacebookDelegate
	{
		// VARIABLES //////////
		
		//results
		
		public var albums:Array;
		
		private var getCoverPhotos:Boolean;
		// CONSTRUCTION //////////
		
		public function GetAlbums_delegate(fBook:Facebook, uid:String, getCoverPhotos:Boolean = false)
		{
			super(fBook);
			Log.getLogger("terralever.facebook").debug("getting all albums for user: " + uid);
			
			this.getCoverPhotos = getCoverPhotos;
			
			var fbCall:FacebookCall = new FacebookCall(fBook);
			fbCall.addEventListener(Event.COMPLETE, result);
			fbCall.setRequestArgument("uid", uid);
			fbCall.post("facebook.photos.getAlbums");
		}
		
		override protected function result(event:Event):void
		{
			var fbCall:FacebookCall = event.target as FacebookCall;

			default xml namespace = fBook.FACEBOOK_NAMESPACE;
			
			albums = [];
			var cover_pids:Array = new Array();
			
			var xAlbums:XMLList = fbCall.getResponse()..album;
			for each(var xAlbum:XML in xAlbums)
			{
				var album:FacebookAlbum = new FacebookAlbum(xAlbum);
				albums.push(album);
				if(getCoverPhotos){
					cover_pids.push(album.cover_pid);
				}
			} 
			
			if(getCoverPhotos){
				//we're not done, we should also get the cover image information.
				fBook.photos_get(undefined, undefined, cover_pids, onGotCovers );
			}else{
				//we're done, call callback.
				this.onComplete();
			}
		}
		
		private function onGotCovers(event:Event):void{
			var coverPhotos:Array = event.target.photos;
			//we're going to assume that we'll get the photos in the order that we asked for them. 
			//This may not be a good idea.
			
			for(var i:uint=0;i<coverPhotos.length;i++){
				albums[i].cover = coverPhotos[i];
			}
			
			this.onComplete();
		
		}
		
		
	}
}