/*
Copyright (c) 2007 Terralever

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without
restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following
conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/

/**
 *  Delegates call to facebook.photo.get
 * 
 * @author Jason Crist 
 * @author Chris Hill
 */
package com.terralever.facebook.delegates.photos
{
	import com.terralever.facebook.Facebook;
	import com.terralever.facebook.FacebookCall;
	import flash.events.Event;
	import mx.logging.Log;
	import com.terralever.facebook.data.*;
	import com.terralever.facebook.delegates.FacebookDelegate;
	import com.terralever.facebook.data.photos.FacebookPhoto;

	public class GetPhotos_delegate extends FacebookDelegate
	{
		// VARIABLES //////////
		
		//results
		
		public var photos:Array;
		
		// CONSTRUCTION //////////
		
		public function GetPhotos_delegate(fBook:Facebook, subj_id:Object, aid:Object, pids:Object)
		{
			super(fBook);
			Log.getLogger("terralever.facebook").debug("getting photos based on query: subj_id: " + subj_id + " aid: " + aid + " pids: " + pids);

			var fbCall:FacebookCall = new FacebookCall(fBook);
			fbCall.addEventListener(Event.COMPLETE, result);
			//set optional arguments
			if(subj_id){ fbCall.setRequestArgument("subj_id", subj_id.toString()); }
			if(aid){ fbCall.setRequestArgument("aid", aid.toString()); }
			if(pids){ fbCall.setRequestArgument("pids", pids.toString()); }
			
			fbCall.post("facebook.photos.get");
		}
		
		override protected function result(event:Event):void
		{
			var fbCall:FacebookCall = event.target as FacebookCall;

			default xml namespace = fBook.FACEBOOK_NAMESPACE;
			
			photos = [];
			
			var xPhotos:XMLList = fbCall.getResponse()..photo;
			for each(var xPhoto:XML in xPhotos)
			{
				photos.push(new FacebookPhoto(xPhoto));
			} 
			
			this.onComplete();
		}
		
		
	}
}